NAME="librewolf"
DESC="LibreWolf is a custom and independent version of Firefox, with the primary goals of privacy, security and user freedom"
VERSION="129.0.1-1"

FILES=(
  "https://gitlab.com/api/v4/projects/32320088/packages/generic/librewolf-source/${VERSION}/librewolf-${VERSION}.source.tar.gz"
  "librewolf.desktop"
  "mozconfig"
)
HASHES=(
  "0ec41d7fc79bc64aa303fc6a4b362f0fc8b8c3be6266252540bae6382b0bd8d75a07760c6e8c23a6064801393ea111b7015e385204bf96129b43e8c4991ed688"
  "d1d4fb76689405df792bdb1130be471f3ed6090c4fed634dfc1365c1495fb637"
  "80b09c546c037994d6b022e0a9075c3c165d6790a0ee35fdb67ac6dc8fc2bc84"
)

DEPENDS=(
  "dbus" "dbus-glib" "gtk3" "ffmpeg" "pulseaudio"
  "nss" "libevent" "libvpx" "libwebp" "icu"
  "liboauth" "pciutils" "wireless-tools"
  "startup-notification" "libnotify"
)
BUILD=(
  "pypi-six" "zip" "yasm"
  "unzip" "rustc" "python3"
  "nasm" "mesa" "llvm"
  "inetutils" "diffutils" "cbindgen"
)

PACKAGE() {
  tar xf "${NAME}-${VERSION}.source.tar.gz"
  cd "${NAME}-${VERSION}"

  cp "${ROOTDIR}/mozconfig" .

  export MOZ_DEBUG_FLAGS=" "
  export CFLAGS+=" -g0"
  export CXXFLAGS+=" -g0"
  export RUSTFLAGS="-Cdebuginfo=0"

  export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none
  export MOZBUILD_STATE_PATH="${PWD}/mozbuild"

  ulimit -n 4096

  python3 ./mach configure
  python3 ./mach build
  DESTDIR="${ROOTDIR}" python3 ./mach install

  unset MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE MOZBUILD_STATE_PATH

  mkdir -pv "${ROOTDIR}/usr/share/applications"
  mkdir -pv "${ROOTDIR}/usr/share/pixmaps"

  cp "${ROOTDIR}/librewolf.desktop" "${ROOTDIR}/usr/share/applications/librewolf.desktop"
  ln -sfv /usr/lib/librewolf/browser/chrome/icons/default/default128.png \
          "${ROOTDIR}/usr/share/pixmaps/librewolf.png"

  cd .. && rm -r "${NAME}-${VERSION}"
}
